Summary:	MPlayer frontend for KDE
Name:		kplayer
Version:	0.7
Release:	%mkrel 2
License:	GPLv2+
Group:		Video
Url:		http://kplayer.sourceforge.net/
Source:	        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	kdelibs4-devel
Requires:	mplayer
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KPlayer is a KDE media player based on MPlayer. With KPlayer 
you can easily play a wide variety of video and audio files 
and streams using a rich and friendly interface that
follows KDE standards.

Features include

    * video, audio and subtitle playback from file,
       URL, DVD, VCD, audio CD, TV, DVB, etc.,
       as well as KDE I/O Slaves;
    * volume, contrast, brightness, hue and saturation controls;
    * zooming, full screen and fixed aspect options;
    * status and progress display and seeking;
    * playlist;
    * message log;
    * configuration dialog;
    * file properties for setting file specific options.

KPlayer is available in Catalonian, Czech, Danish, English,
Finnish, French, German, Hungarian, Italian, Polish, Russian, 
Simplified Chinese and Spanish. 

%prep
%setup -q -n %name-%version

%build
%setup_compile_flags
cmake . \
	-DCMAKE_INSTALL_PREFIX:PATH=%{_kde_prefix} \
	-DKDE_DISTRIBUTION_TEXT="Mandriva Linux release 2009.0 (Cooker) for x86_64" \
	-DKDE4_DATA_DIR=%{_kde_appsdir} \
    %if "%{_lib}" != "lib"
        -DLIB_SUFFIX=64
    %endif

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

cd %buildroot%_kde_datadir/doc/HTML
for i in *
do 
	mkdir $i/%name
	mv `find $i -type f` `find $i -type l` $i/%name/
done
cd -


%find_lang %{name} --with-html

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(0755,root,root) %_kde_bindir/*
%_kde_appsdir/%name
%_kde_appsdir/konqueror/servicemenus/*.desktop
%_kde_iconsdir/*/*/*/*
%_kde_libdir/kde4/*
%_kde_datadir/applications/kde4/*.desktop
%_kde_datadir/kde4/services/*.desktop


%changelog
* Mon Jul 14 2008 Funda Wang <fundawang@mandriva.org> 0.7-2mdv2009.0
+ Revision: 234424
- fix perm

* Sun Jun 29 2008 Funda Wang <fundawang@mandriva.org> 0.7-1mdv2009.0
+ Revision: 229986
- add file list
- move doc files into correct dir
- it does not like build subdir
- Import source and spec
- Created package structure for kde4-kplayer.

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Fix provides // Obsoletes
    - Rename spec file and fix spec file
    - Use new name policy


* Mon Mar 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2007.0
+ Revision: 133013
- new version

* Sat Jan 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 114246
- new version 0.6.0
- clean requires and buildrequires
- fix build
- remove rpath for x86_64
- spec file clean

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - clean File List

* Tue Jul 04 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.3-5mdv2007.0
+ Revision: 38343
- Increase release
- Use macros for icons
- Fix macros for docdir, iconsdir, ...
- Fix menu for xdg menu
- import kplayer-0.5.3-4mdk

* Wed Oct 05 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-4mdk
- Fix build for non-i586

* Wed Jul 13 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-3mdk
- Fix conflicts

* Mon Mar 28 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-2mdk
- %%{1}mdv2007.1

* Mon Mar 28 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.3-1mdk
- New version

* Fri Feb 04 2005 Nicolas Lcureuil <neoclust@mandrake.org> 0.5.2-1mdk
-initial package

